// 配置文件

const env = wx.getAccountInfoSync().miniProgram;
// 请求根路径
let baseUrl = "http://8.136.199.33:8500/api",
  pcUrl,
  reportLinkUrl,
  intemalLinkUrl,
  reportStrategyUrl;

if (env.envVersion === "develop") {
  //开发
  baseUrl = "http://8.136.199.33:8500/api";
  pcUrl = "https://cygxpctest.hzinsights.com/cygx_pc";
  reportLinkUrl = "http://xcxh5test.hzinsights.com/xcx_h5/raiReportDtl";
  intemalLinkUrl = "http://xcxh5test.hzinsights.com/xcx_h5/internalDetials";
  reportStrategyUrl = "http://xcxh5test.hzinsights.com/xcx_h5/strategyReport";
} else if (env.envVersion === "trial") {
  //体验版

  baseUrl = "https://cygxtest.hzinsights.com/api"; // 测试
  //baseUrl = "https://cygx.hzinsights.com/api"; //生产

  pcUrl = "https://cygxpctest.hzinsights.com/cygx_pc"; // 测试
  //pcUrl = "https://cygxpc.hzinsights.com/cygx_pc"; //生产

  reportLinkUrl = "http://xcxh5test.hzinsights.com/xcx_h5/raiReportDtl"; //测试
  //reportLinkUrl = "https://details.hzinsights.com/raiReportDtl"; //生产

  intemalLinkUrl = "http://xcxh5test.hzinsights.com/xcx_h5/internalDetials";

  reportStrategyUrl = "http://xcxh5test.hzinsights.com/xcx_h5/strategyReport"; //测试
  //reportStrategyUrl = "https://details.hzinsights.com/strategyReport"; //生产
} else if (env.envVersion === "release") {
  //正式版
  baseUrl = "https://cygx.hzinsights.com/api";
  pcUrl = "https://cygxpc.hzinsights.com/cygx_pc"; //生产
  reportLinkUrl = "https://details.hzinsights.com/raiReportDtl"; //生产
  intemalLinkUrl = "https://details.hzinsights.com/internalDetials";//生产
  reportStrategyUrl = "https://details.hzinsights.com/strategyReport"; //生产
}

module.exports = {
  baseUrl,
  pcUrl,
  reportLinkUrl,
  reportStrategyUrl,
  intemalLinkUrl
};

// #ifdef H5
export const H5baseUrl = process.env.NODE_ENV === "development" ? window.location.origin + "/" : baseUrl;
// #endif
